#
# spec file for package python-cluster-preflight-check
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-cluster-preflight-check
Version:        0.0.34
Release:        lp152.1.1
Summary:        Standardized Testing of Basic Cluster Functionality
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/liangxin1300/cluster_preflight_check.git
Source:         cluster_preflight_check-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Obsoletes:      cluster-preflight-check < %{version}
BuildArch:      noarch
%if 0%{?suse_version}
Requires(post): update-alternatives
Requires(postun): update-alternatives
%else
Requires(post): %{_sbindir}/update-alternatives
Requires(postun): %{_sbindir}/update-alternatives
%endif
%python_subpackages

%description
Tool for Standardized Testing of Basic Cluster Functionality.
It checks the environment, the current cluster state, and more.
The script creates a JSON output for each test case.

%prep
%setup -q -n cluster_preflight_check-%{version}

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/ha-cluster-preflight-check
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%post
%python_install_alternative ha-cluster-preflight-check

%postun
%python_uninstall_alternative ha-cluster-preflight-check

%files %{python_files}
%doc AUTHORS README.md COPYING
%{python_sitelib}/cluster_preflight_check
%{python_sitelib}/cluster_preflight_check-%{version}*.egg-info
%python_alternative %{_bindir}/ha-cluster-preflight-check

%changelog
* Sun Mar  8 2020 XinLiang <XLiang@suse.com>
- version 0.0.34
  - Update README: package description
  - Enable continue delivery and submit
* Mon Sep 23 2019 Thomas Schraitle <thomas.schraitle@suse.com>
- version 0.0.33
  - Use setup.py to create ha-cluster-preflight-check automatically (#10)
  - Use underscores in source tarball as provided by GitHub
* Tue Aug 27 2019 Jan Engelhardt <jengelh@inai.de>
- Language fixes to the description.
* Mon Jul 29 2019 Xin Liang <XLiang@suse.com>
- version 0.0.29(jsc#4024)
- Rename cluster-test-tool to cluster-preflight-check
- Improve scenarios for blocking corosync ports to simulate split brain
- Improve for:
  * fix regrex mismatch/None results
  * reinforce testcase enter condition
  * more docstring and comments
* Mon Jul  8 2019 Xin Liang <XLiang@suse.com>
- version 0.0.28
- Improve logging
- Add unittest codes
- Add docs for functions
- Using shell to wrap python2&3 entry
- Make split brain by blocking corosync ports
- Check firewall
* Thu Jun  6 2019 Xin Liang <XLiang@suse.com>
- version 0.0.23
- Add log to record internal operations
- Add json output for each test case
- Add report for killing test case
* Mon May 27 2019 Xin Liang <XLiang@suse.com>
- Version 0.0.20
- Python3 only
- Check environment: hostname resolvable
- Check environment: time service
- Check environment: watchdog
- Check cluster: cluster service
- Check cluster: stonith configuration
- Check cluster: nodes status
- Check cluster: resources status
- Kill sbd daemon
- Kill corosync daemon
- Kill pacemakerd daemon
- Kill process in loop
- Fence specific node
